<?xml version="1.0" encoding="UTF-8"?>
<!-- Complemento Detallistas Liverpool Generación 
	:: By Victor Manuel Vargas Mosqueda :: -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:detallista="http://www.sat.gob.mx/detallista">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:element name="detallista:Complemento">
			<xsl:element name="detallista:detallista">
				<!--xsl:element name="detallista:requestForPayment"-->
					<xsl:attribute name="type">SimpleInvoiceType</xsl:attribute>
					<xsl:attribute name="contentVersion">1.3.1</xsl:attribute>
					<xsl:attribute name="documentStructureVersion">AMC8.1</xsl:attribute>
					<xsl:attribute name="documentStatus">ORIGINAL</xsl:attribute>
				<xsl:element name="detallista:requestForPaymentIdentification">
					<xsl:element name="detallista:entityType">
						<xsl:variable name="tpodoc" select="Datos/Documento/@TipoDocumento"/>
						<xsl:choose>
							<xsl:when test="$tpodoc = 1">
								<xsl:text>INVOICE</xsl:text>
							</xsl:when>
							<xsl:when test="$tpodoc = 2">
								<xsl:text>CREDIT_NOTE</xsl:text>
							</xsl:when>
							<xsl:when test="$tpodoc = 3">
								<xsl:text>DEBIT_NOTE</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>NO_DEFINIDO</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</xsl:element>
				<xsl:element name="detallista:specialInstruction">
					<xsl:attribute name="code">ZZZ</xsl:attribute>
					<xsl:element name="detallista:text">
						<xsl:value-of select="/Datos/Documento/@ImporteLetra"/>
					</xsl:element>
				</xsl:element>
				<xsl:element name="detallista:orderIdentification">
					<xsl:for-each select="Datos/Documento/OrdenesCompra/OrdenCompra">
						<xsl:element name="detallista:referenceIdentification">
							<xsl:attribute name="type">ON</xsl:attribute>
							<xsl:choose>
								<xsl:when test="substring(@No,1,9) = '000000000'">
									<xsl:value-of select="substring(@No,10,1)"/>
								</xsl:when>
								<xsl:when test="substring(@No,1,8) = '00000000'">
									<xsl:value-of select="substring(@No,9,2)"/>
								</xsl:when>
								<xsl:when test="substring(@No,1,7) = '0000000'">
									<xsl:value-of select="substring(@No,8,3)"/>
								</xsl:when>
								<xsl:when test="substring(@No,1,6) = '000000'">
									<xsl:value-of select="substring(@No,7,4)"/>
								</xsl:when>
								<xsl:when test="substring(@No,1,5) = '00000'">
									<xsl:value-of select="substring(@No,6,5)"/>
								</xsl:when>
								<xsl:when test="substring(@No,1,4) = '0000'">
									<xsl:value-of select="substring(@No,5,6)"/>
								</xsl:when>
								<xsl:when test="substring(@No,1,3) = '000'">
									<xsl:value-of select="substring(@No,4,7)"/>
								</xsl:when>
								<xsl:when test="substring(@No,1,2) = '00'">
									<xsl:value-of select="substring(@No,3,8)"/>
								</xsl:when>
								<xsl:when test="substring(@No,1,1) = '0'">
									<xsl:value-of select="substring(@No,2,9)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="@No"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="detallista:ReferenceDate">
							<!--xsl:value-of select="concat(substring(@Fecha,1,4),substring(@Fecha,6,2),substring(@Fecha,9,2))"/-->
							<xsl:value-of select="substring(@Fecha,1,10)"/>
						</xsl:element>
					</xsl:for-each>
				</xsl:element>
				<xsl:element name="detallista:AdditionalInformation">
					<xsl:element name="detallista:referenceIdentification">
						<xsl:attribute name="type">ACE</xsl:attribute>
						<xsl:value-of select="substring-after(substring-after(Datos/Documento/@Referencia,'/'),'/')"/>
					</xsl:element>
				</xsl:element>
				<!--xsl:if test="Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio != ''"-->
					<xsl:element name="detallista:DeliveryNote">
						<xsl:for-each select="/Datos/Documento/RecibosMercancia/ReciboMercancia">
							<xsl:element name="detallista:referenceIdentification">
								<xsl:value-of select="@Folio"/>
							</xsl:element>
							<xsl:element name="detallista:ReferenceDate">
								<!--xsl:value-of select="concat(substring(@Fecha,1,4),substring(@Fecha,6,2),substring(@Fecha,9,2))"/-->
								<xsl:value-of select="substring(@Fecha,1,10)"/>
							</xsl:element>
						</xsl:for-each>
					</xsl:element>
				<!--/xsl:if-->
				<xsl:element name="detallista:buyer">
					<xsl:element name="detallista:gln">
						<xsl:value-of select="substring(Datos/Receptor/Domicilio/@noLclGlobal,1,13)"/>
					</xsl:element>
					<xsl:element name="detallista:contactInformation">
						<xsl:element name="detallista:personOrDepartmentName">
							<xsl:element name="detallista:text">
								<xsl:variable name="cinf" select="number(Datos/Documento/@Dato1)"/>
								<xsl:variable name="lcinf" select="string-length($cinf)"/>
								<xsl:choose>
									<xsl:when test="not(boolean($cinf))">
										<xsl:text>0000</xsl:text>
									</xsl:when>
									<xsl:when test="$lcinf &lt; 1 or $lcinf &gt; 4">
										<xsl:text>0000</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select='format-number($cinf,"0000")'/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:element>
						</xsl:element>
					</xsl:element>
				</xsl:element>
				<xsl:element name="detallista:seller">
					<xsl:element name="detallista:gln">
						<xsl:value-of select="substring(Datos/Emisor/Domicilio/@noLclGlobal,1,13)"/>
					</xsl:element>
					<xsl:element name="detallista:alternatePartyIdentification">
						<xsl:attribute name="type">SELLER_ASSIGNED_IDENTIFIER_FOR_A_PARTY</xsl:attribute>
						<xsl:value-of select="substring(Datos/Emisor/@noProveedor,1,6)"/>
					</xsl:element>
				</xsl:element>
				<xsl:if test="Datos/Receptor/Destino/@noLclGlobal != ''"><!-- DESTINO -->
					<xsl:element name="detallista:shipTo">
						<xsl:element name="detallista:gln">
							<xsl:choose>
								<xsl:when test="string-length(Datos/Receptor/Destino/@noLclGlobal) &lt; 13">
									<xsl:variable name="num" select="13 - string-length(Datos/Receptor/Destino/@noLclGlobal)"/>
									<xsl:call-template name="ciclo">
										<xsl:with-param name="numero" select="$num"/>
									</xsl:call-template>
									<xsl:value-of select="Datos/Receptor/Destino/@noLclGlobal"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select='substring(Datos/Receptor/Destino/@noLclGlobal,1,13)'/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="detallista:nameAndAddress">
							<xsl:element name="detallista:name">
								<xsl:value-of select="substring(Datos/Receptor/Destino/@Nombre,1,35)"/>
							</xsl:element>
							<xsl:element name="detallista:streetAddressOne">
								<xsl:value-of select="substring(concat(Datos/Receptor/Destino/@Calle,' No. ',Datos/Receptor/Destino/@noExterior,' ',Datos/Receptor/Destino/@noInterior,' Col. ',Datos/Receptor/Destino/@Colonia),1,35)"/>
								<!--xsl:value-of select="Datos/Receptor/Destino/@Calle"/>
								<xsl:choose>
									<xsl:when test="string-length(Datos/Receptor/Destino/@noExterior) &gt; 0">
										<xsl:text> No. </xsl:text>
										<xsl:value-of select="Datos/Receptor/Destino/@noExterior"/>
										<xsl:text> </xsl:text>
										<xsl:value-of select="Datos/Receptor/Destino/@noInterior"/>
									</xsl:when>
								</xsl:choose>
								<xsl:text> </xsl:text>
								<xsl:choose>
									<xsl:when test="string-length(Datos/Receptor/Destino/@Colonia) &gt; 0">
										<xsl:text>Col. </xsl:text>
										<xsl:value-of select="Datos/Receptor/Destino/@Colonia"/>
									</xsl:when>
								</xsl:choose-->
							</xsl:element>
							<xsl:element name="detallista:city">
								<xsl:value-of select="Datos/Receptor/Destino/@Localidad"/>
							</xsl:element>
							<xsl:element name="detallista:postalCode">
								<xsl:value-of select="Datos/Receptor/Destino/@CodigoPostal"/>
							</xsl:element>
						</xsl:element>
					</xsl:element>
				</xsl:if>
				<xsl:element name="detallista:currency">
					<xsl:attribute name="currencyISOCode">
						<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
						<xsl:choose>
							<xsl:when test="$tpomon = 0">
								<xsl:text>MXN</xsl:text>
							</xsl:when>
							<xsl:when test="$tpomon = 1">
								<xsl:text>MXN</xsl:text>
							</xsl:when>
							<xsl:when test="$tpomon = 2">
								<xsl:text>USD</xsl:text>
							</xsl:when>
							<xsl:when test="$tpomon = 3">
								<xsl:text>XEU</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:element name="detallista:currencyFunction">
						<xsl:text>BILLING_CURRENCY</xsl:text>
					</xsl:element>
					<xsl:element name="detallista:rateOfChange">
						<xsl:value-of select="Datos/Documento/@TipoCambio"/>
					</xsl:element>
				</xsl:element>
				<xsl:element name="detallista:paymentTerms">
					<xsl:attribute name="paymentTermsEvent"><xsl:text>DATE_OF_INVOICE</xsl:text></xsl:attribute>
					<xsl:attribute name="PaymentTermsRelationTime"><xsl:text>REFERENCE_AFTER</xsl:text></xsl:attribute>
					<xsl:element name="detallista:netPayment">
						<xsl:attribute name="netPaymentTermsType"><xsl:text>BASIC_NET</xsl:text></xsl:attribute>
						<xsl:element name="detallista:paymentTimePeriod">
							<xsl:element name="detallista:timePeriodDue">
								<xsl:attribute name="timePeriod"><xsl:text>DAYS</xsl:text></xsl:attribute>
								<xsl:element name="detallista:value">
									<xsl:value-of select="Datos/Documento/@PlazoPago"/>
								</xsl:element>
							</xsl:element>
						</xsl:element>
					</xsl:element>
				</xsl:element>
				<xsl:choose><!-- allowanceCharge -->
					<xsl:when test="Datos/Documento/Descuentos/Descuento/@Porcentaje[1] &gt; 0">
						<xsl:for-each select="Datos/Documento/Descuentos/Descuento">
							<xsl:if test="@Porcentaje &gt; 0">
								<xsl:element name="detallista:allowanceCharge">
									<xsl:attribute name="allowanceChargeType">ALLOWANCE_GLOBAL</xsl:attribute>
									<xsl:attribute name="settlementType">OFF_INVOICE</xsl:attribute>
									<xsl:element name="detallista:specialServicesType">
										<xsl:value-of select="@Tipo"/>
									</xsl:element>
									<xsl:element name="detallista:monetaryAmountOrPercentage">
										<xsl:element name="detallista:rate">
											<xsl:attribute name="base">INVOICE_VALUE</xsl:attribute>
											<xsl:element name="detallista:percentage">
												<xsl:value-of select='format-number(@Porcentaje,"0.00")'/>
											</xsl:element>
										</xsl:element>
									</xsl:element>
								</xsl:element>
							</xsl:if>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>
						<xsl:element name="detallista:allowanceCharge">
							<xsl:attribute name="allowanceChargeType">ALLOWANCE_GLOBAL</xsl:attribute>
							<xsl:attribute name="settlementType">OFF_INVOICE</xsl:attribute>
							<xsl:element name="detallista:specialServicesType">AJ</xsl:element>
							<xsl:element name="detallista:monetaryAmountOrPercentage">
								<xsl:element name="detallista:rate">
									<xsl:attribute name="base">INVOICE_VALUE</xsl:attribute>
									<xsl:element name="detallista:percentage">
										<xsl:value-of select='format-number(0,"0.00")'/>
									</xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:element>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:for-each select="Datos/Documento/Partidas/Partida"><!-- Detalle -->
					<xsl:element name="detallista:lineItem">
						<xsl:attribute name="type">SimpleInvoiceLineItemType</xsl:attribute>
						<xsl:attribute name="number"><xsl:value-of select="position()"/></xsl:attribute>
						<xsl:element name="detallista:tradeItemIdentification">
							<xsl:element name="detallista:gtin">
								<xsl:value-of select="@CodigoBarras"/>
							</xsl:element>
						</xsl:element>
						<xsl:element name="detallista:alternateTradeItemIdentification">
							<xsl:attribute name="type">BUYER_ASSIGNED</xsl:attribute>
							<xsl:value-of select="@CodigoCliente"/>
						</xsl:element>
						<xsl:element name="detallista:tradeItemDescriptionInformation">
							<xsl:element name="detallista:longText">
								<xsl:value-of select="substring(@Descripcion,1,35)"/>
							</xsl:element>
						</xsl:element>
						<xsl:element name="detallista:invoicedQuantity">
							<xsl:attribute name="unitOfMeasure"><xsl:value-of select="@UnidadMedida"/></xsl:attribute>
							<xsl:value-of select='format-number(@Cantidad,"0.00")'/>
						</xsl:element>
						<xsl:element name="detallista:grossPrice">
							<xsl:element name="detallista:Amount">
								<xsl:value-of select='format-number(@PrecioBruto,"0.00")'/>
							</xsl:element>
						</xsl:element>
						<xsl:element name="detallista:netPrice">
							<xsl:element name="detallista:Amount">
								<xsl:value-of select='format-number(@PrecioNeto,"0.00")'/>
							</xsl:element>
						</xsl:element>
						<xsl:if test="Pedimentos/Pedimento/@Aduana != ''">
							<xsl:element name="detallista:Customs">
								<xsl:if test="Pedimentos/Pedimento/@noLclGlobalAdn != ''">
									<xsl:element name="detallista:gln">
										<xsl:value-of select="substring(Pedimentos/Pedimento/@noLclGlobalAdn,1,13)"/>
									</xsl:element>
								</xsl:if>
								<xsl:element name="detallista:alternatePartyIdentification">
									<xsl:attribute name="type"><xsl:text>TN</xsl:text></xsl:attribute>
									<xsl:value-of select="Pedimentos/Pedimento/@No"/>
								</xsl:element>
								<xsl:element name="detallista:ReferenceDate">
									<!--xsl:value-of select="concat(substring(Pedimentos/Pedimento/@Fecha,1,4),substring(Pedimentos/Pedimento/@Fecha,6,2),substring(Pedimentos/Pedimento/@Fecha,9,2))"/-->
									<xsl:value-of select="substring(Pedimentos/Pedimento/@Fecha,1,10)"/>
								</xsl:element>
								<xsl:element name="detallista:nameAndAddress">
									<xsl:element name="detallista:name">
										<xsl:value-of select="Pedimentos/Pedimento/@Aduana"/>
									</xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:if>
						<xsl:for-each select="Descuentos/Descuento">
							<xsl:if test="@Porcentaje &gt; 0">
								<xsl:element name="detallista:allowanceCharge">
									<xsl:attribute name="allowanceChargeType">ALLOWANCE_GLOBAL</xsl:attribute>
									<xsl:attribute name="settlementType">OFF_INVOICE</xsl:attribute>
									<xsl:element name="detallista:specialServicesType">
										<xsl:value-of select="@Tipo"/>
									</xsl:element>
									<xsl:element name="detallista:monetaryAmountOrPercentage">
										<xsl:element name="detallista:percentagePerUnit">
											<xsl:value-of select='format-number(@Porcentaje,"0.00")'/>
										</xsl:element>
										<xsl:element name="detallista:ratePerUnit">
											<xsl:element name="detallista:amountPerUnit">
												<xsl:variable name="suma_desc_doc" select="sum(../../../../Descuentos/Descuento/@Porcentaje)"/>
												<xsl:choose>
													<xsl:when test="$suma_desc_doc &gt; 0">
														<xsl:variable name="importe_desc" select="((../../@PrecioBruto) - (../../@PrecioBruto * ($suma_desc_doc div 100))) * (@Porcentaje div 100)"/>
														<xsl:value-of select='format-number($importe_desc,"0.00")'/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:variable name="importe_desc" select="(../../@PrecioBruto) * (@Porcentaje div 100)"/>
														<xsl:value-of select='format-number($importe_desc,"0.00")'/>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:element>
										</xsl:element>
									</xsl:element>
								</xsl:element>
							</xsl:if>
						</xsl:for-each>
						<xsl:for-each select="Impuestos/Impuesto">
							<xsl:if test="@Porcentaje &gt; 0">
								<xsl:element name="detallista:tradeItemTaxInformation">
									<xsl:element name="detallista:taxTypeDescription">
										<xsl:variable name="tpoimp_t" select="@Tipo"/>
										<xsl:choose>
											<xsl:when test="$tpoimp_t = 'IVA'">
												<xsl:text>VAT</xsl:text>
											</xsl:when>
											<xsl:when test="$tpoimp_t = 'ISR'">
												<xsl:text>LAC</xsl:text>
											</xsl:when>
											<xsl:when test="$tpoimp_t = 'IEPS'">
												<xsl:text>GST</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:element>
									<xsl:element name="detallista:tradeItemTaxAmount">
										<xsl:element name="detallista:taxPercentage">
											<xsl:value-of select='format-number(@Porcentaje,"0.00")'/>
										</xsl:element>
										<xsl:element name="detallista:taxAmount">
											<xsl:value-of select='format-number(@Importe,"0.00")'/>
										</xsl:element>
									</xsl:element>
								</xsl:element>
							</xsl:if>
						</xsl:for-each>
						<xsl:element name="detallista:totalLineAmount">
							<xsl:element name="detallista:grossAmount">
								<xsl:element name="detallista:Amount">
									<xsl:value-of select='format-number(@ImpNeto,"0.00")'/>
								</xsl:element>
							</xsl:element>
							<xsl:element name="detallista:netAmount">
								<xsl:element name="detallista:Amount">
									<xsl:value-of select='format-number(@ImpNeto,"0.00")'/>
								</xsl:element>
							</xsl:element>
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
				<xsl:element name="detallista:totalAmount"><!-- SUMARIO -->
					<xsl:element name="detallista:Amount">
						<xsl:value-of select='format-number(/Datos/Documento/@ImpNeto,"0.00")'/>
					</xsl:element>
				</xsl:element>
				<xsl:choose>
					<xsl:when test="Datos/Documento/@ImpDescuentos &gt; 0">
						<xsl:element name="detallista:TotalAllowanceCharge">
							<xsl:attribute name="allowanceOrChargeType">ALLOWANCE</xsl:attribute>
							<xsl:element name="detallista:specialServicesType">
								<xsl:value-of select="Datos/Documento/Descuentos/Descuento/@Tipo"/>
							</xsl:element>
							<xsl:element name="detallista:Amount">
								<xsl:value-of select='format-number(Datos/Documento/@ImpDescuentos,"0.00")'/>
							</xsl:element>
						</xsl:element>
					</xsl:when>
					<xsl:otherwise>
						<xsl:element name="detallista:TotalAllowanceCharge">
							<xsl:attribute name="allowanceOrChargeType">ALLOWANCE</xsl:attribute>
							<xsl:element name="detallista:specialServicesType">AJ</xsl:element>
							<xsl:element name="detallista:Amount">
								<xsl:value-of select='format-number(0,"0.00")'/>
							</xsl:element>
						</xsl:element>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template name="ciclo">
		<xsl:param name="numero"/>
		<xsl:if test="$numero &gt; 0">
			<xsl:value-of select="'0'"/>
			<xsl:call-template name="ciclo">
				<xsl:with-param name="numero" select="$numero - 1"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
