<?xml version="1.0" encoding="UTF-8"?>
<!-- Complemento Concepto Por Cuenta de Terceros  v 1.1  CFDI Generacion :: By Daniel Herrera Tello :: -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:terceros="http://www.sat.gob.mx/terceros">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:element name="terceros:ComplementoConcepto">
			<xsl:for-each select="Datos/Documento/Partidas/Partida">
				<xsl:for-each select="Terceros/Tercero">
					<xsl:element name="terceros:PorCuentadeTerceros">
						<xsl:attribute name="version">1.1</xsl:attribute>
						<xsl:attribute name="rfc"><xsl:value-of select="@RFC"/></xsl:attribute>
						<xsl:attribute name="nombre"><xsl:value-of select="@Nombre"/></xsl:attribute>
						<xsl:element name="terceros:InformacionFiscalTercero">
							<xsl:attribute name="calle"><xsl:value-of select="Domicilio/@Calle"/></xsl:attribute>
							<xsl:if test="Domicilio/@noExterior !=''">
								<xsl:attribute name="noExterior"><xsl:value-of select="Domicilio/@noExterior"/></xsl:attribute>
							</xsl:if>
							<xsl:if test="Domicilio/@noInterior !=''">
								<xsl:attribute name="noInterior"><xsl:value-of select="Domicilio/@noInterior"/></xsl:attribute>
							</xsl:if>
							<xsl:if test="Domicilio/@Colonia !=''">
								<xsl:attribute name="colonia"><xsl:value-of select="Domicilio/@Colonia"/></xsl:attribute>
							</xsl:if>
							<xsl:if test="Domicilio/@Localidad !=''">
								<xsl:attribute name="localidad"><xsl:value-of select="Domicilio/@Localidad"/></xsl:attribute>
							</xsl:if>
							<xsl:if test="Domicilio/@Referencia !=''">
								<xsl:attribute name="referencia"><xsl:value-of select="Domicilio/@Referencia"/></xsl:attribute>
							</xsl:if>
							<xsl:attribute name="municipio"><xsl:value-of select="Domicilio/@Municipio"/></xsl:attribute>
							<xsl:attribute name="estado"><xsl:value-of select="Domicilio/@Estado"/></xsl:attribute>
							<xsl:attribute name="pais"><xsl:value-of select="Domicilio/@Pais"/></xsl:attribute>
							<xsl:attribute name="codigoPostal"><xsl:value-of select="Domicilio/@CodigoPostal"/></xsl:attribute>
						</xsl:element>
						<xsl:element name="terceros:Impuestos">
							<xsl:if test="../../@TotalImpuestoRetenido &gt; 0">
								<xsl:element name="terceros:Retenciones">
									<xsl:for-each select="../../Impuestos/Impuesto">
										<xsl:choose>
											<xsl:when test="@Tipo='RIVA' or @Tipo='RISR'">
												<xsl:element name="terceros:Retencion">
													<xsl:attribute name="impuesto">
														<xsl:choose>
															<xsl:when test="@Tipo='RIVA'"><xsl:text>IVA</xsl:text></xsl:when>
															<xsl:when test="@Tipo='RISR'"><xsl:text>ISR</xsl:text></xsl:when>
														</xsl:choose>
													</xsl:attribute>
													<xsl:attribute name="importe">
														<xsl:value-of select="format-number(@Importe,'0.00')"/>
													</xsl:attribute>
												</xsl:element>
											</xsl:when>
										</xsl:choose>
									</xsl:for-each>
								</xsl:element>
							</xsl:if>
							<xsl:if test="../../@TotalImpuestoTrasladado &gt; 0">
								<xsl:element name="terceros:Traslados">
									<xsl:for-each select="../../Impuestos/Impuesto">
										<xsl:choose>
											<xsl:when test="@Tipo='IVA' or @Tipo='IEPS'">
												<xsl:element name="terceros:Traslado">
													<xsl:attribute name="impuesto">
														<xsl:value-of select="@Tipo"/>
													</xsl:attribute>
													<xsl:attribute name="tasa">
														<xsl:value-of select="format-number(@Porcentaje,'0.00')"/>
													</xsl:attribute>
													<xsl:attribute name="importe">
														<xsl:value-of select="format-number(@Importe,'0.00')"/>
													</xsl:attribute>
												</xsl:element>
											</xsl:when>
										</xsl:choose>
									</xsl:for-each>
								</xsl:element>
							</xsl:if>
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
